#ifndef RDF_FITS_H_
#define RDF_FITS_H_

#include "fitsio.h"
#include<vector>
using namespace std;
#include<string>

// Write a fits image containing the tab 
int write_fits_tab (float ** tab, int nx, int ny, char * filename);

// Free allocated array
int free_square(float ** resf,int ny,int nx);

// Allocate memory for the image
float	**alloc_square_float(int nbr_lin,int nbr_col);

int printerror( int status);

 int write_fits (float * image,int nx , int ny,float cell,char * filename);
int delete_file (char * filename, int status);
float ** rdf_fits(char * filename,int * nx,int * ny,float * xmin,float * xmax,float * ymin,float * ymax,int verbose);

int write_key_num (char * file,vector<string> & keys,vector<double> & vals, vector<string> & coms);

#endif /*RDF_FITS_H_*/
